Skip to main content
`Ctrl`+`K`

# skbio.io.registry.Format

class skbio.io.registry.Format(name, encoding=None, newline=None)

  Defines a format on which readers/writers/sniffer can be registered.

  Parameters:
    name str

      The name of this format.

    encoding str, optional

      What the default encoding of this format is. If set to ‘binary’ then all registered handlers will receive an `io.BufferedReader` or `io.BufferedWriter` instead of an `io.TextIOBase`. The user will also be unable to override the encoding in that case.

    newline str, optional

      What the default newline handling of this format is. Default is to use universal newline handling.

  Attributes

  `is_binary_format` | Return True if this is a binary format.
  `name` | The name of this format.
  `readers` | Dictionary that maps classes to their readers for this format.
  `sniffer_function` | The sniffer function associated with this format.
  `writers` | Dictionary that maps classes to their writers for this format.

  Methods

  `reader` | Decorate a function to act as the reader for a class in this format.
  `sniffer` | Decorate a function to act as the sniffer for this format.
  `writer` | Decorate a function to act as the writer for a class in this format.

  Special methods (inherited)

  `__eq__` | Return self==value.
  `__ge__` | Return self>=value.
  `__getstate__` | Helper for pickle.
  `__gt__` | Return self>value.
  `__hash__` | Return hash(self).
  `__le__` | Return self<=value.
  `__lt__` | Return self<value.
  `__ne__` | Return self!=value.
  `__str__` | Return str(self).

  Details

  is_binary_format

    Return True if this is a binary format.

  name

    The name of this format.

  readers

    Dictionary that maps classes to their readers for this format.

  sniffer_function

    The sniffer function associated with this format.

  writers

    Dictionary that maps classes to their writers for this format.